package domain

type AlibabaWdkMarketingFullrangeRemoveitemMarketResult struct {
	/*
	   message     */
	Message *string `json:"message,omitempty" `

	/*
	   data     */
	Data *string `json:"data,omitempty" `

	/*
	   errorCode     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingFullrangeRemoveitemMarketResult) SetMessage(v string) *AlibabaWdkMarketingFullrangeRemoveitemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeRemoveitemMarketResult) SetData(v string) *AlibabaWdkMarketingFullrangeRemoveitemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeRemoveitemMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingFullrangeRemoveitemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeRemoveitemMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingFullrangeRemoveitemMarketResult {
	s.Success = &v
	return s
}
